#13 Add dependency on python3-systemd
Merged a year ago by msrb. Opened a year ago by sergiomb.
Unknown source rawhide  into  rawhide

file modified
+1
@@ -259,6 +259,7 @@

  %if %{with python3}

  Requires: python3-abrt

  Requires: python3-augeas

+ Requires: python3-systemd

  %endif

  Requires: util-linux

  

from github https://github.com/abrt/abrt/pull/1555

commit 566e2eaacb21e07a8301c3e16408924c46045ad9
Author: Matěj Grabovský mgrabovs@redhat.com
Date: Wed Jan 13 12:16:57 2021 +0100

spec: Add dependency on python3-systemd

abrt-action-check-oops-for-hw-error from the abrt-addon-vmcore package
imports systemd.journal but the python3-systemd package is not declared
as a dependency, which causes the script to crash if python3-systemd is
not installed on the system.

This commit fixes this by adding the formal dependency in the spec file.

Resolves https://bugzilla.redhat.com/show_bug.cgi?id=1914170

Pull-Request has been merged by msrb

a year ago
Metadata